### org.jfree.layouting.modules.output.html

# Class SingleRepositoryURLRewriter

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.html.SingleRepositoryURLRewriter`

Implemented Interfaces:
  URLRewriter

`public class SingleRepositoryURLRewriter`
`extends java.lang.Object`
`implements URLRewriter`

This URL-Rewriter assumes that both the content and data entity have been created from the same repository. This one builds a relative URL connecting the data entity with the content.

Author:
  Thomas Morgner

  ## Constructor Summary

  `SingleRepositoryURLRewriter()`

  ## Method Summary

  `String`

  `rewrite(ContentEntity sourceDocument, ContentEntity dataEntity)`

## Constructor Details

### SingleRepositoryURLRewriter

    public SingleRepositoryURLRewriter()

## Method Details

### rewrite

    public String rewrite(ContentEntity sourceDocument,
                          ContentEntity dataEntity)
                throws URLRewriteException

> Specified by:
>   rewrite in interface URLRewriter